#!/usr/bin/python

from os.path import exists
import json, urllib3, urllib, os, time
import paho.mqtt.client as mqtt

def on_message(client, userdata, msg):
	global config
	
	if msg.topic == '/charger/setpoint/current':
		current = float(msg.payload)
		
		if exists("fullpower"):
			os.remove("fullpower")
			on_message.fullPowerStart = time.time()

		if (time.time() - on_message.fullPowerStart) < (5 * 60 * 60):
			current = 16		
		
		if current < 6:
			current = 6
		elif current > 16:
			current = 16
		try:
			on_message.http.request('GET',config['heidelberg']['uri'] + str(current), timeout=1.0)
		except urllib3.exceptions.MaxRetryError:
			return

with open("config.json") as configFile:
	config = json.load(configFile)

client = mqtt.Client("heidelberg")
client.on_message = on_message
client.connect("localhost", 1883, 60)
client.subscribe("/charger/setpoint/current")
on_message.http = urllib3.PoolManager()
on_message.fullPowerStart = 0

if exists("fullpower"):
	os.remove("fullpower")

client.loop_forever()

